.react-resizable-handle-nw {
  top: 0;
  left: 0;
  cursor: nw-resize;
  transform: rotate(180deg);
}
.react-resizable-handle-ne {
  top: 0;
  right: 0;
  cursor: ne-resize;
  transform: rotate(270deg);
}
.react-resizable-handle-w,
.react-resizable-handle-e {
  top: 50%;
  margin-top: -10px;
  cursor: ew-resize;
}
.react-resizable-handle-w {
  left: 0;
  transform: rotate(135deg);
}
.react-resizable-handle-e {
  right: 0;
  transform: rotate(315deg);
}
.react-resizable-handle-n,
.react-resizable-handle-s {
  left: 50%;
  margin-left: -10px;
  cursor: ns-resize;
}
.react-resizable-handle-n {
  top: 0;
  transform: rotate(225deg);
}
.react-resizable-handle-s {
  bottom: 0;
  transform: rotate(45deg);
}

.App {
  font-family: sans-serif;
  text-align: center;
  height: calc(100vh - 100px);
  width: 90%;
}

.diagram-container {
  width: 100%;
  height: 100%;
  background: rgb(245, 245, 245);
}

svg:not(:root) {
  overflow: visible;
}

.node__ports {
  display: flex;
  padding: 0 5px 10px;
}

.node_block {
  border-radius: 5px;
  font-family: sans-serif;
  color: white;
  overflow: visible;
  font-size: 11px;
  background-color: rgb(255, 255, 255);
  max-width: 240px;
  position: relative;
  z-index: 1;
}

.node_block_expanded {
  max-width: initial;
}

.node_block_header {
  display: flex;
  white-space: nowrap;
  justify-items: center;
  justify-content: space-between;
  position: relative;
  min-height: 40px;
}

.node_block_header_pin {
  font-size: 24px;
  background-color: transparent;
  color: white;
  line-height: 40px;
  display: block;
  margin-right: 10px;
  cursor: pointer;
}

.node_block_header_pin_block {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.node_block .node_block_wrapper .node_block_header {
  background: #52C41A;
}

.node_block .initial .node_block_header {
  background: #188FFC;
}

.node_block_wrapper {
  border: 1px solid rgb(233, 233, 233);
}

.node_block_active .node_block_wrapper {
  border: 1px solid #52C41A;
  box-shadow: 0 0 5px 5px rgba(83, 195, 27, 0.5);
}

.node_block_active .initial {
  border: 1px solid #188FFC;
  box-shadow: 0 0 5px 5px rgba(24, 143, 252, 0.5);
}

.node_block_header_title {
  font-weight: 600;
  font-size: 14px;
  line-height: 40px;
  text-align: left;
  padding: 0 10px;
  color: #FFFFFF;
  mix-blend-mode: normal;
}

.node__ports__container {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: 0 5px;
  /*overflow: hidden;*/
  min-width: 120px;
  margin-left: -11px;
  margin-right: 0;
}

.node__ports_port {
  width: 9px;
  height: 9px;
  background: rgb(217, 217, 217);
  border-radius: 50%;
  position: relative;
  cursor: pointer;
  transition: 0.5s;
}

.node__ports_port_wrap {
  padding: 10px 0 10px 20px;
  margin-left: -20px;
}

.node__ports_port_wrap:hover > .node__ports_port {
  padding: 10px;
}

.port {
  position: absolute;
  z-index: 99999;
}

.port_out .node__ports_port_wrap {
  margin-right: -30px;
}

.port_in {
  margin-left: 10px;
}

.port_in .node__ports_port_wrap {
  margin-left: -30px;
}

.port_in, .port_out {
  margin-top: 6px;
}

.port_in .node__ports_port {
  left: -4.5px;
}

.port_out .node__ports_port {
  right: -4.5px;
}

.node__port_label {
  font-style: normal;
  font-weight: normal;
  font-size: 10px;
  line-height: 20px;
  color: rgba(0, 0, 0, 0.45);
  text-align: left;
  text-overflow: ellipsis;
  overflow: hidden;
}

.node__port_type {
  color: #000;
  line-height: 20px;
  height: 20px;
  width: 20px;
  border-radius: 2px;
  text-align: center;
}

.port_out .node__port_bottom_block, .port_in .node__port_bottom_block {
  position: relative;
  display: flex;
  margin-top: 1px;
  align-items: center;
}

.port_in .node__port_bottom_block {
  justify-content: flex-start;
}

.port_out .node__port_bottom_block {
  justify-content: flex-end;
}

.node__port_input_block {
  flex-grow: 1;
}

.node__port_input_block input, .node__port_input_block_disabled input, .node__port_input_block textarea, .node__port_input_block_disabled textarea {
  background: #FFFFFF;
  opacity: 0.7;
  border: 1px solid #E9E9E9;
  box-sizing: border-box;
  border-radius: 2px;
  max-height: 20px;
  width: 80px;
  margin: 0;
  color: black;
}

.node__port_input_block_disabled input, .node__port_input_block_disabled textarea {
  border: 1px dashed #E9E9E9;
}

.node__port__type_0 {
  background-color: #52C41A;
}

.node__port__type_1 {
  background-color: #c4ad1a;
}

.node__port__type_2 {
  background-color: #1a75c4;
}

.node__port__type_3 {
  background-color: #e4825f;
}

.node__port__type_4 {
  background-color: #975FE4;
}

.node__port__type_5 {
  background-color: #c41a04;
}

path {
  stroke: #D9D9D9;
}

/*Context Menu */
.custom__context__menu {
  position: fixed;
  z-index: 10;
  background: #FFFFFF;
  box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.2);
  border-radius: 2px;
  max-height: 300px;
  overflow-y: scroll;
}

.option, .search_option {
  cursor: pointer;
  line-height: 36px;
  border-bottom: 1px solid #E9E9E9;
  color: rgba(0, 0, 0, 0.65);
  text-align: left;
  padding: 0 10px;
}

.option:hover {
  background: #188FFC;
}

.custom__context__menu input {
  border: none;
  width: 100%;
}

input:focus{
  outline: none;
}

textarea:focus{
  outline: none;
}

.resizable_commentBox {
  position: relative;
  z-index: 0;
}

.resizable_commentBox .node_block {
  background: transparent;
}

.color_picker_popover {
  position: absolute;
  z-index: 2;
}

.color_picker_cover {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.transparent_input {
  border: 0;
  color: #000!important;
  font-weight: 600;
  font-size: 14px;
  line-height: 40px;
  padding: 0 10px;
  background-color: transparent;
}

form {
  padding: 10px;
}

.rdg {
  background-color: white;
  color: #1890ff;
  border: none;
}

.rdg-cell {
  background-color: white;
}

.textarea_expanded {
  position: fixed;
  resize: both;
  z-index: 100000;
  opacity: 1 !important;
  max-height: initial !important;
}

.textarea_converted {
  position: static;
  height: 20px;
  width: 80px !important;
}

html, body, #app {
  height: 100%;
  padding: 0;
  margin: 0;
  overscroll-behavior-y: none;
}

.port_out {
  margin-right: 10px;
}

#auth-block {
  height: 100%;
}

#oauth-iframe-id {
  border: none;
}

.layout {
  height: 100%;
}

.top-bar {
  background: white;
  padding: 8px 16px;
}

.sm_input_container {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.sm_input_container:hover {
  background: #eee;
}

.sm_input {
  width: 100%;
  line-height: 18px;
  font-size: 14px;
  padding: 0;
  margin-right: 5px;
}

.sm_remove_icon {
  font-size: 17px
}

.sm_node__ports {
  padding: 0;
  margin: 5px;
}